--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: PDF files are processed by tokenising the content into a series of objects and commands. This prepares the buffer for use by reading the next line of tokens into memory.
full_name: PDF::Reader::Buffer#ready_token
is_singleton: false
name: ready_token
params: (with_strip=true, skip_blanks=true)
visibility: public
